Commits

Anonymous committed 4516f62

add link libquicktime

  • Participants
  • Parent commits e97b1a4

Comments (0)

Files changed (1)

var/vabs/libquicktime/src/libquicktime.SlackBuild

 #!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # build will be in a temp dir created in "NAME" dir, and then removed on exit.
 # Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
 
-
-NAME="libquicktime"				#Enter package Name!
-VERSION=${VERSION:-"1.2.2"}			#Enter package Version!
-VL_PACKAGER=${VL_PACKAGER:-"Stretchedthin"}	#Enter your Name!
+NAME="libquicktime"            #Enter package Name!
+VERSION=${VERSION:-"1.2.4"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"Uelsk8s"}   #Enter your Name!
+LINK=${LINK:-"http://downloads.sourceforge.net/project/$NAME/$NAME/$VERSION/$NAME-$VERSION.tar.gz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 #----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"2"}
+BUILDNUM=${BUILDNUM:-"1"}
 VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
 BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
-ARCH=${ARCH:-$(uname -m)}
+ARCH=${ARCH:-"$(uname -m)"}
 CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
 
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 cd ../
 RELEASEDIR=$(pwd)
 cd $CWD
-mkdir $RELEASEDIR/tmp
+mkdir -p $RELEASEDIR/tmp
 TMP=$RELEASEDIR/tmp
 PKG=$TMP/package-$NAME
 #--------------------------------------------
 
 
+
 if [ $UID != 0 ]; then
    echo "You are not authorized to run this script. Please login as root"
    exit 1
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
+  LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
   CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
 fi
 
 export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
 #--------------------------------------------
 
 
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget --no-check-certificate -c $SRC
+fi
+done
+#--------------------------------------------
+
+
 rm -rf $PKG
-mkdir -p $PKG
 cd $TMP
 rm -rf $NAME-$VERSION
 
 #-----------------------------------------------------
 echo "Extracting source..."
 tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
 #-----------------------------------------------------
 
 
 cd $TMP/$NAME-$VERSION
 
 
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
+#-----------------------------------------------------
+for i in $CWD/patches/*;do
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
+done
+#-----------------------------------------------------
+ 
+ 
+
 #SET PERMISSIONS
 #-----------------------------------------
 echo "Setting permissions..."
 #-----------------------------------------
 
 
+
 #CONFIGURE & MAKE
 #----------------------------------------------------------------------
 # If you are building a KDE-related app, then change the following
 # correct path and that it will work seamlessly within the KDE environment.
 #
 #-----------------------------------------------------------------------
+
 echo "Configuring source..."
 ./configure --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --infodir=/usr/info \
   --sysconfdir=/etc \
   --localstatedir=/var \
   --mandir=/usr/man \
   --program-prefix="" \
   --program-suffix="" \
   --build=$CONFIGURE_TRIPLET \
-  --enable-gpl \
-  --enable-static \
   $CONFIG_OPTIONS || exit 1
 
 make || exit 1
 
-make install DESTDIR=$PKG || exit
+make install DESTDIR=$PKG || exit 1
+
 
 #######################################################################
 #Miscellenious tweaks and things outside a normal ./configure go here #
 #######################################################################
 
-#mkdir -p $PKG/usr/share/applications
-#cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
-#mkdir -p $PKG/usr/share/pixmaps
-#cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png
+
 
 mkdir -p $PKG/usr/doc/$NAME-$VERSION
 cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
-	$PKG/usr/doc/$NAME-$VERSION
+$PKG/usr/doc/$NAME-$VERSION
 cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
 
 #----------------------------------------------------------------------
 
-if [ -d $PKG/usr/share/man ] ; then
-  mkdir -p $PKG/usr/man
-  mv $PKG/usr/share/man $PKG/usr/man
-fi  
+if [ -d $PKG/usr/share/man ];then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
 find $PKG/usr/man -type f -exec gzip -9 {} \;
 
+if [ -d $PKG/usr/share/info ];then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+find $PKG/usr/info -type f -exec gzip -9 {} \;
+
 mkdir -p $PKG/install
+if [ -d $PKG/usr/info ];then
+cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
+cd usr/info
+if [ -f dir ];then
+    rm dir
+fi
+if [ -f dir.gz ];then
+    rm dir.gz
+fi
+for i in *.info.gz;do
+    install-info \$i dir
+done
+cd \$CWD
+EOF
+fi
+
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
+
 
-           # This creates the white space in front of "handy-ruler" in slack-desc below.
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
 
-      LENGTH=$(expr length "$NAME")
-      SPACES=0
-      SHIM=""
-      until [ "$SPACES" = "$LENGTH" ]; do
-        SHIM="$SHIM "
-        let SPACES=$SPACES+1
-      done
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
 
 # Fill in the package summary between the () below.
 # Then package the description, License, Author and Website.
 # on the right side marks the last column you can put a character in.  You must
 # make exactly 11 lines for the formatting to be correct.  It's also
 # customary to leave one space after the ':'.
-   
+
 $SHIM|-----handy-ruler------------------------------------------------------|
 $NAME: $NAME (A library for manipulating QuickTime files)
 $NAME: 
 $NAME: License: LGPL 2.1
 $NAME: Website: http://libquicktime.sourceforge.net/
 $NAME: Authors:  Heroine Virtual <broadcast@earthling.net>
-$NAME: 
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
 
 #----------------------------------------
 BUILDDATE: $(date)
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
 cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
 
-
 #STRIPPING
 #------------------------------------------------------------------------------------------------------------------
 cd $PKG
 #FINISH PACKAGE
 #--------------------------------------------------------------
 echo "Finding dependencies..."
-requiredbuilder -v -y -s $RELEASEDIR $PKG
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
 echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
 makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
+fi
 #--------------------------------------------------------------
 
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##